Results 1 to 5 of 5

Thread: Determine dependencies for compile

  1. #1
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,323

    Default Determine dependencies for compile

    While trying to compile wine source in Leap 15, gcc kept terminating reporting needed libraries. Over and over again, requiring gcc restarts. Is there a way to determine all the needed libraries prior to starting the process?

    Thanks in advance.

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,024

    Default AW: Determine dependencies for compile

    Why not:
    https://build.opensuse.org/package/s...tors:Wine/wine

    PS:
    The spe-file has all needed BuildRequires mentioned......
    Last edited by Sauerland; 04-Jul-2018 at 10:23.

  3. #3
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,323

    Default Re: AW: Determine dependencies for compile

    Quote Originally Posted by Sauerland View Post
    Why not:
    https://build.opensuse.org/package/s...tors:Wine/wine

    PS:
    The spe-file has all needed BuildRequires mentioned......
    Thank you for the link. I managed to get past a lot of problems but got the following error...

    Code:
    configure: error: X 32-bit development files not found. Wine will be builtwithout X support, which probably isn't what you want. You will need
    to install 32-bit development packages of Xlib/Xfree86 at the very least.
    Use the --without-x option if you really want this.
    But YaST doe not show any Xlib/Xfree86 and zypper only shows...

    Code:
    # zypper se XlibLoading repository data...
    Reading installed packages...
    
    
    S | Name                                    | Summary                              | Type   
    --+-----------------------------------------+--------------------------------------+--------
      | python2-python-xlib                     | Python X11 interface                 | package
      | python3-python-xlib                     | Python X11 interface                 | package
      | ruby2.5-rubygem-mixlib-config           | A class based configuration library  | package
      | ruby2.5-rubygem-mixlib-config-doc       | RDoc documentation for mixlib-config | package
      | ruby2.5-rubygem-mixlib-config-testsuite | Test suite for mixlib-config         | package
    Any suggestions?

  4. #4
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,323

    Default Re: Determine dependencies for compile

    I installed libxf86-32bit and libX11-devel-32bit and it configured without errors. It's in the make stage now running for two hours. Fingers crossed.

  5. #5
    Join Date
    Aug 2008
    Location
    Mexico and Sweden
    Posts
    1,323

    Default Re: Determine dependencies for compile

    Failed.

    This subject can now be closed.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •